require 'dm-core'
require 'dm-yaml-adapter'
require 'dm-migrations'
require 'dm-timestamps'
require 'dm-validations'

# set default string length
DataMapper::Property::String.length(255)

class Url
  include DataMapper::Resource

  property :id, Serial
  property :name, String, required: true
  property :desc, String
  property :created_at, DateTime
  property :updated_at, DateTime

  validates_uniqueness_of :name

  def self.urlify(url)
    url.include?('://') ? url : "http://#{url}"
  end

  before :save do
    self.name = self.class.urlify(name)
  end
end
